# nfreq

frequency of the values in a vector or matrix. This function is obsolete.

## Calling Sequence

    m=nfreq(x)

## Arguments

x

  real or complex vector or matrix

## Description

Frequency of the values in a real or complex vector or a real or complex matrix `x`.

For a real or complex vector or a real or complex matrix `x`, `m=freq(x)` returns in the first column of the `size(x,'*')x2` matrix `m` the values of `x` and in the second column of this matrix the frequencies of the corresponding values.

Note that the tabul function is more efficient, applies also to vector of strings and returns a sorted `m`.

This function is obsolete.

It is better to use tabul instead of `nfreq`.

## Examples

    x=[2 8 0 3 7 6 8 7 9 1]
    m=nfreq(x)

## See Also

- tabul
- dsearch
- histplot

## History

5.5.0
Function tagged as obsolete. Will be removed in 5.5.1. Please use tabul instead.